<script setup lang="ts">
import axios from 'axios'
import { Chart as ChartJS, ArcElement, Tooltip, Legend } from 'chart.js'
import { Doughnut } from 'vue-chartjs'
import { onMounted, reactive, ref } from 'vue'

ChartJS.register(ArcElement, Tooltip, Legend)
onMounted(async () => {
  await getReport()
})

function genColor(num: number) {
  const colors = []

  for (let i = 0; i < 10; i++) {
    const randomColor = '#' + Math.floor(Math.random() * 16777215).toString(16)
    colors.push(randomColor)
  }
  console.log(colors)

  return colors
}
async function getReport() {
  const res = await axios.get('') // ใส่ http ที่คิวรี่มาจาก back
  console.log(res)
  const labels = res.data.map((it: any) => {
    return it.name
  })
  const data = res.data.map((it: any) => {
    return it.anotherdata
  })
  const colors = genColor(labels.length)
  console.log(labels, data)
  chartData.value = {
    labels: labels,
    datasets: [
      {
        label: 'Data One',
        //ของอาจารก็แดง จารบอกไม่รู้แดงอะไร
        backgroundColor: colors,
        data: data
      }
    ]
  }
}

const chartData = ref({
  labels: [],
  datasets: [
    {
      label: 'Data One',
      backgroundColor: [],
      data: []
    }
  ]
})
const chartOptions = ref({
  responsive: false,
  maintainAspectRatio: false
})
</script>

<template>
  <div class="chart-container">
    <v-card>
      <Doughnut :data="chartData" :options="chartOptions" />
    </v-card>
  </div>
</template>

<style scoped>
.chart-container {
  /* display: flex; */
  justify-content: center;
  align-items: center;
}
</style>
